close all
clear all
clc
Kp_1 = 45; % 30
Ki_1 = 0;
Kd_1 = 0;
s = tf('s');
C = pid(Kp_1,Ki_1,Kd_1);
P = 1/(s^2 + 10*s + 20);
T = feedback(C*P,1);
t = 0:0.01:2;
step(T,t);
hold on

Kp_2 = 45; % 30
Ki_2 = 0;
Kd_2 = 10; % 20
s = tf('s');
C = pid(Kp_2,Ki_2,Kd_2);
P = 1/(s^2 + 10*s + 20);
T = feedback(C*P,1);
t = 0:0.01:2;
step(T,t);

Kp_3 = 45; % 30
Ki_3 = 10; %1
Kd_3 = 0;
s = tf('s');
C = pid(Kp_3,Ki_3,Kd_3);
P = 1/(s^2 + 10*s + 20);
T = feedback(C*P,1);
t = 0:0.01:2;
step(T,t);

Kp_4 = 45; % 30
Ki_4 = 10; % 0.1
Kd_4 = 10; % 10
s = tf('s');
C = pid(Kp_4,Ki_4,Kd_4);
P = 1/(s^2 + 10*s + 20);
T = feedback(C*P,1);
t = 0:0.01:2;
step(T,t);
legend(['Kp = ', num2str(Kp_1), ' Ki = ', num2str(Ki_1), ' Kd = ', num2str(Kd_1)],'Location','southeast',['Kp = ', num2str(Kp_2), ' Ki = ', num2str(Ki_2), ' Kd = ', num2str(Kd_2)],'Location','southeast',['Kp = ', num2str(Kp_3), ' Ki = ', num2str(Ki_3), ' Kd = ', num2str(Kd_3)],'Location','southeast',['Kp = ', num2str(Kp_4), ' Ki = ', num2str(Ki_4), ' Kd = ', num2str(Kd_4)],'Location','southeast' );
hold off
