function Value = GetLoadCell (Scale)
global EM_USB;

fwrite (EM_USB, 0);       % Component 0 = ElecMachine
fwrite (EM_USB, 26);      % Function Idx = 26 GetLoadCell
fwrite (EM_USB, Scale);   % Param 1 - 0 = Weight in grams, 1 = Calculated Torque, 2 = Raw Reading

fread(EM_USB, 1);         % Read Back Function Idx
Value = fread(EM_USB, 1, 'int32'); % Value (as requested in Param 1 above) 
if (Scale == 0)
   Value = Value/10;      % Scale the value for grams
elseif (Scale == 1)
   Value = Value/1000;     % Scale the value for mNm
end
