close all
clear all
clc
Kp = 45;
Ki = 0;
Kd = 0;
s = tf('s');
C = pid(Kp,Ki,Kd);
P = 1/(s^2 + 10*s + 20);
T = feedback(C*P,1);
t = 0:0.01:2;
step(T,t);
legend(['Kp = ', num2str(Kp), ' Ki = ', num2str(Ki), ' Kd = ', num2str(Kd)],'Location','southeast');